com.taosdata.jdbc.common

## Class ConnectionParam.Builder

- java.lang.Object
- - com.taosdata.jdbc.common.ConnectionParam.Builder

Enclosing class:
  ConnectionParam

    public static class ConnectionParam.Builder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Builder(List<Endpoint> endpoints)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ConnectionParam` `build()`
`ConnectionParam.Builder` `setAppIp(String appIp)`
`ConnectionParam.Builder` `setAppName(String appName)`
`ConnectionParam.Builder` `setAsyncWrite(String asyncWrite)`
`ConnectionParam.Builder` `setBackendWriteThreadNum(int backendWriteThreadNum)`
`ConnectionParam.Builder` `setBatchSizeByRow(int batchSizeByRow)`
`ConnectionParam.Builder` `setBearerToken(String bearerToken)`
`ConnectionParam.Builder` `setBinaryMessageHandler(Consumer<io.netty.buffer.ByteBuf> binaryMessageHandler)`
`ConnectionParam.Builder` `setCacheSizeByRow(int cacheSizeByRow)`
`ConnectionParam.Builder` `setCloudToken(String cloudToken)`
`ConnectionParam.Builder` `setConnectionTimeout(int connectTimeout)`
`ConnectionParam.Builder` `setConnectMode(int connectMode)`
`ConnectionParam.Builder` `setCopyData(boolean copyData)`
`ConnectionParam.Builder` `setDatabase(String database)`
`ConnectionParam.Builder` `setDisableSslCertValidation(boolean disableSslCertValidation)`
`ConnectionParam.Builder` `setEnableAutoReconnect(boolean enableAutoReconnect)`
`ConnectionParam.Builder` `setEnableCompression(boolean enableCompression)`
`ConnectionParam.Builder` `setHealthCheckCmdTimeout(int healthCheckCmdTimeout)`
`ConnectionParam.Builder` `setHealthCheckConTimeout(int healthCheckConTimeout)`
`ConnectionParam.Builder` `setHealthCheckInitInterval(int healthCheckInitInterval)`
`ConnectionParam.Builder` `setHealthCheckMaxInterval(int healthCheckMaxInterval)`
`ConnectionParam.Builder` `setHealthCheckRecoveryCount(int healthCheckRecoveryCount)`
`ConnectionParam.Builder` `setHealthCheckRecoveryInterval(int healthCheckRecoveryInterval)`
`ConnectionParam.Builder` `setMaxRequest(int maxRequest)`
`ConnectionParam.Builder` `setPbsMode(String pbsMode)`
`ConnectionParam.Builder` `setRebalanceConBaseCount(int rebalanceConBaseCount)`
`ConnectionParam.Builder` `setRebalanceThreshold(int rebalanceThreshold)`
`ConnectionParam.Builder` `setReconnectIntervalMs(int reconnectIntervalMs)`
`ConnectionParam.Builder` `setReconnectRetryCount(int reconnectRetryCount)`
`ConnectionParam.Builder` `setRequestTimeout(int requestTimeout)`
`ConnectionParam.Builder` `setRetryTimes(int retryTimes)`
`ConnectionParam.Builder` `setSlaveClusterHost(String slaveClusterHost)`
`ConnectionParam.Builder` `setSlaveClusterPort(int slaveClusterPort)`
`ConnectionParam.Builder` `setStrictCheck(boolean strictCheck)`
`ConnectionParam.Builder` `setTextMessageHandler(Consumer<String> textMessageHandler)`
`ConnectionParam.Builder` `setTimeZone(String timeZone)`
`ConnectionParam.Builder` `setUserAndPassword(String user, String password)`
`ConnectionParam.Builder` `setUseSsl(boolean useSsl)`
`ConnectionParam.Builder` `setVarcharAsString(boolean varcharAsString)`
`ConnectionParam.Builder` `setWsKeepAlive(int wsKeepAlive)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(List<Endpoint> endpoints)

### Method Detail

#### setDatabase

    public ConnectionParam.Builder setDatabase(String database)

#### setCloudToken

    public ConnectionParam.Builder setCloudToken(String cloudToken)

#### setUserAndPassword

    public ConnectionParam.Builder setUserAndPassword(String user,
                                                      String password)

#### setBearerToken

    public ConnectionParam.Builder setBearerToken(String bearerToken)

#### setTimeZone

    public ConnectionParam.Builder setTimeZone(String timeZone)

#### setUseSsl

    public ConnectionParam.Builder setUseSsl(boolean useSsl)

#### setMaxRequest

    public ConnectionParam.Builder setMaxRequest(int maxRequest)

#### setConnectionTimeout

    public ConnectionParam.Builder setConnectionTimeout(int connectTimeout)

#### setRequestTimeout

    public ConnectionParam.Builder setRequestTimeout(int requestTimeout)

#### setConnectMode

    public ConnectionParam.Builder setConnectMode(int connectMode)

#### setVarcharAsString

    public ConnectionParam.Builder setVarcharAsString(boolean varcharAsString)

#### setEnableCompression

    public ConnectionParam.Builder setEnableCompression(boolean enableCompression)

#### setEnableAutoReconnect

    public ConnectionParam.Builder setEnableAutoReconnect(boolean enableAutoReconnect)

#### setSlaveClusterHost

    public ConnectionParam.Builder setSlaveClusterHost(String slaveClusterHost)

#### setSlaveClusterPort

    public ConnectionParam.Builder setSlaveClusterPort(int slaveClusterPort)

#### setReconnectIntervalMs

    public ConnectionParam.Builder setReconnectIntervalMs(int reconnectIntervalMs)

#### setReconnectRetryCount

    public ConnectionParam.Builder setReconnectRetryCount(int reconnectRetryCount)

#### setDisableSslCertValidation

    public ConnectionParam.Builder setDisableSslCertValidation(boolean disableSslCertValidation)

#### setAppName

    public ConnectionParam.Builder setAppName(String appName)

#### setAppIp

    public ConnectionParam.Builder setAppIp(String appIp)

#### setCopyData

    public ConnectionParam.Builder setCopyData(boolean copyData)

#### setBatchSizeByRow

    public ConnectionParam.Builder setBatchSizeByRow(int batchSizeByRow)

#### setCacheSizeByRow

    public ConnectionParam.Builder setCacheSizeByRow(int cacheSizeByRow)

#### setBackendWriteThreadNum

    public ConnectionParam.Builder setBackendWriteThreadNum(int backendWriteThreadNum)

#### setStrictCheck

    public ConnectionParam.Builder setStrictCheck(boolean strictCheck)

#### setRetryTimes

    public ConnectionParam.Builder setRetryTimes(int retryTimes)

#### setAsyncWrite

    public ConnectionParam.Builder setAsyncWrite(String asyncWrite)

#### setPbsMode

    public ConnectionParam.Builder setPbsMode(String pbsMode)

#### setWsKeepAlive

    public ConnectionParam.Builder setWsKeepAlive(int wsKeepAlive)

#### setHealthCheckInitInterval

    public ConnectionParam.Builder setHealthCheckInitInterval(int healthCheckInitInterval)

#### setHealthCheckMaxInterval

    public ConnectionParam.Builder setHealthCheckMaxInterval(int healthCheckMaxInterval)

#### setHealthCheckConTimeout

    public ConnectionParam.Builder setHealthCheckConTimeout(int healthCheckConTimeout)

#### setHealthCheckCmdTimeout

    public ConnectionParam.Builder setHealthCheckCmdTimeout(int healthCheckCmdTimeout)

#### setHealthCheckRecoveryCount

    public ConnectionParam.Builder setHealthCheckRecoveryCount(int healthCheckRecoveryCount)

#### setHealthCheckRecoveryInterval

    public ConnectionParam.Builder setHealthCheckRecoveryInterval(int healthCheckRecoveryInterval)

#### setRebalanceThreshold

    public ConnectionParam.Builder setRebalanceThreshold(int rebalanceThreshold)

#### setRebalanceConBaseCount

    public ConnectionParam.Builder setRebalanceConBaseCount(int rebalanceConBaseCount)

#### setTextMessageHandler

    public ConnectionParam.Builder setTextMessageHandler(Consumer<String> textMessageHandler)

#### setBinaryMessageHandler

    public ConnectionParam.Builder setBinaryMessageHandler(Consumer<io.netty.buffer.ByteBuf> binaryMessageHandler)

#### build

    public ConnectionParam build()